0
$\begingroup$

Rosanswers logo

Hi, I need to install gencam_cu package. I found that gencam_cu package is belong to prairiedog stack. http://www.ros.org/wiki/gencam_cu How do I install prairiedog by using similar way like "sudo apt-get install ros-diamondback-prairiedog" Because it said couldn't find ros-diamondback-prairiedog. Thank you~


Originally posted by sam on ROS Answers with karma: 2570 on 2011-03-19

Post score: 0

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

I assume there are no debian packages yet for prairiedog. You can check them out with svn, open a terminal and enter:

cd
mkdir ros
cd ros
svn co http://prairiedog.googlecode.com/svn/trunk prairiedog
export ROS_PACKAGE_PATH=/home/<your_username>/ros:$ROS_PACKAGE_PATH
roscd gencam_cu
rosmake --pre-clean --rosdep-install

This should do the trick.


Originally posted by KoenBuys with karma: 2314 on 2011-03-20

This answer was ACCEPTED on the original site

Post score: 1


Original comments

Comment by Eric Perko on 2011-03-26:
The export ROS_PACKAGE_PATH line allows you to "roscd gencam_cu". That line is only valid in the terminal you ran it in. You can add it to the bottom of your .bashrc (after the source /opt/ros... line) to have it be set for every new terminal opened after you update .bashrc.

Comment by KoenBuys on 2011-03-26:
It calls rosdep install before make, see http://www.ros.org/wiki/rosmake, could you do $env | grep ROS and post it?

Comment by sam on 2011-03-25:
what happened when I add --rosdep-install to rosmake? I found that when I open new terminal, I also can't able to roscd gencam_cu. Thank you~

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.